VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} CDD_FontScaling 
   Caption         =   " "
   ClientHeight    =   2385
   ClientLeft      =   120
   ClientTop       =   465
   ClientWidth     =   6360
   OleObjectBlob   =   "CDD_FontScaling.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "CDD_FontScaling"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Const m_BaseSize As Double = 11
Private Const m_BaseInter As Double = 1

Dim m_nSize As Double
Dim m_Inter As Double
Dim m_FontScale As Double

Public isCancelled_ As Boolean

Private Sub UserForm_Initialize()
  isCancelled_ = True
  Call Me.FontList.Clear
  Call Me.FontList.AddItem("Times New Roman")
  Me.FontList.Value = FontList.List(0)
End Sub

Public Function Init()
  isCancelled_ = True
End Function

Private Sub cmdLonely_Click()
  isCancelled_ = False
  Me.Hide
End Sub

Private Sub FontList_Change()
  Call Update
End Sub

Private Sub InterSpin_Change()
  Call Update
End Sub

Private Sub SizeSpin_Change()
  Call Update
End Sub

Private Function Update()
  m_nSize = m_BaseSize + Me.SizeSpin.Value / 2
  m_Inter = m_BaseInter + Me.InterSpin.Value / 20
  
  Me.NewLbl.Font.Size = m_nSize
  Me.tbNSize.Text = m_nSize
  Me.interSize = m_Inter
  
  Select Case Me.FontList.Value
    Case "Times New Roman":     m_FontScale = 1.15
  End Select
End Function

Public Function SumUp() As ItemFontScale
  Set SumUp = New ItemFontScale
  SumUp.fontMultiplier_ = m_nSize / m_BaseSize
  SumUp.lineSpacing_ = m_nSize * m_FontScale * m_Inter
  SumUp.fontFactor_ = m_FontScale
  SumUp.spacing_ = m_Inter
  SumUp.textSize_ = m_nSize
End Function
