VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} CDD_AddPict 
   Caption         =   "   "
   ClientHeight    =   7530
   ClientLeft      =   120
   ClientTop       =   465
   ClientWidth     =   10155
   OleObjectBlob   =   "CDD_AddPict.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "CDD_AddPict"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' TODO: isCancelled_ and extract logic

Private m_NewPict As String
Private m_chsnSymb As String
Private m_icnCells As Collection

Private Const INIT_POS_BG As Integer = 0
Private Const INIT_POS_BK As Integer = -90
Private Const INIT_POS_G As Integer = 12

Public Property Get Flag() As Integer
  Flag = Selector.Value
End Property

Public Property Get Bookmark() As String
  Bookmark = Me.ListBox.Value
End Property

Public Property Get LighterText() As String
  LighterText = LighterBox.Text
End Property

Public Property Get PicAdd() As String
  PicAdd = m_NewPict
End Property

Public Property Get Choice() As String
  Choice = m_chsnSymb
End Property

Public Property Let Choice(retVal$)
  m_chsnSymb = retVal
End Property

Private Sub CmdADD_Click()
  Me.Hide
End Sub

Private Sub cmdAddEx_Click()
  Me.Hide
End Sub

Private Sub CmdLighter_Click()
  Me.Hide
End Sub

Private Sub ListBox_Change()
  Dim tmp As Word.Range:  Set tmp = Selection.Range
  Dim oper As Word.InlineShape:   Set oper = ActiveDocument.Bookmarks(ListBox.Value).Range.InlineShapes(1)
  Dim x As Double, y As Double, bln As Boolean
  With oper
    x = oper.Height
    y = oper.Width
    bln = Application.ScreenUpdating
    Application.ScreenUpdating = False
    oper.Height = CentimetersToPoints(6) * x / y
    oper.Width = CentimetersToPoints(6)
    Call oper.Select
    Call Selection.CopyAsPicture
    oper.Height = x
    oper.Width = y
    Application.ScreenUpdating = bln
  End With
  Set Me.PrevEx.Picture = PastePicture(xlBitmap)
  Call tmp.Select
End Sub

Private Sub ListBox_DblClick(ByVal Cancel As MSForms.ReturnBoolean)
  If ListBox.ListIndex <> -1 Then Me.Hide
End Sub

Private Sub Srch_Click()
  m_NewPict = UserInteraction.PromptFile("")
  Set PrevNew.Picture = LoadPictureGDI(m_NewPict)
  Me.AddressBox.Text = m_NewPict
End Sub

Private Sub UserForm_Initialize()
  Selector.Value = 0
  Set m_icnCells = New Collection
  Call LabelsFill
  Call ListFill
End Sub

Private Sub UserForm_QueryClose(Cancel As Integer, CloseMode As Integer)
  End
End Sub

Private Function ListFill()
  Dim curDoc As Word.Document:  Set curDoc = ActiveDocument
  Call Me.ListBox.Clear
  
  Dim tmpMrk As Word.Bookmark
  For Each tmpMrk In curDoc.Bookmarks
    If Left(tmpMrk.Name, 5) = "pict_" Then _
      Me.ListBox.AddItem (tmpMrk.Name)
  Next tmpMrk
End Function

Private Function LabelsFill()
  Dim i%
  Dim tmpCell As IconPicker
  Dim tmpTop As MSForms.Label
  Dim tmpNme As MSForms.Label
  
  For i = 1 To 250
    On Error Resume Next
    
    Set tmpTop = Me.FramePict.Controls("Label" & 2 * i - 1)
    If tmpTop.Parent.Parent.Name <> Selector.Pages.Item(0).Name Then GoTo SKP_NCELL
    Set tmpNme = Me.FramePict.Controls("Label" & 2 * i)
    If tmpNme.Parent.Parent.Name <> Selector.Pages.Item(0).Name Then GoTo SKP_NCELL
    If Err.Number <> 0 Then GoTo SKP_NCELL
    
    Select Case i
      Case Is <= 50:  tmpTop.Caption = chrW(96 + i)
      Case Is <= 100: tmpTop.Caption = chrW(64 + i - 50)
      Case Is <= 150:
        tmpTop.Font.Charset = 204
        tmpTop.Caption = chrW(val("&H" & 429 + i - 100)) '!!!  
      Case Is <= 200: tmpTop.Caption = chrW(val("&H" & 250 + i - 150))
      Case Is <= 250: tmpTop.Caption = chrW(val("&H" & 530 + i - 200))
    End Select
    
    tmpTop.Font.Name = "conceptpict"
    
    Set tmpCell = New IconPicker
    Call tmpCell.AssignControls(Me, tmpTop, tmpNme)
    Call m_icnCells.Add(tmpCell)
    
SKP_NCELL:
    Err.Clear
  Next i
  On Error GoTo 0
End Function
