VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} CDD_HeaderFooter 
   Caption         =   "  "
   ClientHeight    =   6645
   ClientLeft      =   120
   ClientTop       =   465
   ClientWidth     =   6375
   OleObjectBlob   =   "CDD_HeaderFooter.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "CDD_HeaderFooter"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public isCancelled_ As Boolean

Private Sub UserForm_Initialize()
  isCancelled_ = True
End Sub

Public Function Init(target As Word.Document, doCreds As Boolean)
  isCancelled_ = True
  
  TextBegin.Value = 3
  TextEnd.Value = target.Sections.Count - 1
  
  Call FillCombo(ComboLU, doCreds)
  Call FillCombo(ComboRU, doCreds)
  Call FillCombo(ComboLD, doCreds)
  Call FillCombo(ComboRD, doCreds)
  
  ComboLU.Value = IIf(doCreds, "", ComboLU.List(0))
  ComboRU.Value = IIf(doCreds, "", ComboRU.List(0))
  ComboLD.Value = ""
  ComboRD.Value = ""
End Function

Private Sub ButtCancel_Click()
  isCancelled_ = True
  Call Me.Hide
End Sub

Private Sub ButtFix_Click()
  isCancelled_ = False
  Me.Hide
End Sub

Private Sub TextBoxEnd_KeyPress(ByVal KeyAscii As MSForms.ReturnInteger)
  If KeyAscii < 48 Or KeyAscii > 57 Then KeyAscii = 0
End Sub

Private Sub TextBoxBegin_KeyPress(ByVal KeyAscii As MSForms.ReturnInteger)
  If KeyAscii < 48 Or KeyAscii > 57 Then KeyAscii = 0
End Sub

Private Function FillCombo(cmbBox As control, doCreds As Boolean)
  With cmbBox
    Call .Clear
    If cmbBox.Name = "ComboLU" Or cmbBox.Name = "ComboRU" Then
      If doCreds Then
        Call .AddItem("")
        Call .AddItem("")
      End If
      Call .AddItem("")
    End If
    
    Call .AddItem("")
    Call .AddItem("")
    Call .AddItem("")
  End With
End Function

Private Function TextToType(aText$) As TSource
  Select Case aText
  Case "": TextToType = T_SOURCE_BOOK
  Case "": TextToType = T_SOURCE_VOLUME
  Case "": TextToType = T_SOURCE_DOCUMENT
  Case "": TextToType = T_SOURCE_SECTION
  Case "":  TextToType = T_SOURCE_CHAPTER
  Case "": TextToType = T_SOURCE_CONCEPT
  End Select
End Function

Public Property Get Data() As ItemColontitles
  Set Data = New ItemColontitles
  With Data
    .mTopLeft = TextToType(ComboLU.Value)
    .mTopRight = TextToType(ComboRU.Value)
    .mBottomLeft = TextToType(ComboLD.Value)
    .mBottomRight = TextToType(ComboRD.Value)
    
    .doTopLeft = ckLU.Value
    .doTopRight = ckLD.Value
    .doBottomLeft = ckRU.Value
    .doBottomRight = ckRD.Value
    
    .start_ = CLng(TextBegin.Value)
    .finish_ = CLng(TextEnd.Value)
  End With
End Property
