VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} CDD_TableColors 
   Caption         =   "  "
   ClientHeight    =   3945
   ClientLeft      =   120
   ClientTop       =   465
   ClientWidth     =   7935
   OleObjectBlob   =   "CDD_TableColors.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "CDD_TableColors"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private eventsOn_ As Boolean

Private props_ As TablePaintProps

Public isCancelled_ As Boolean

Private Sub UserForm_Initialize()
  isCancelled_ = True
End Sub

Public Function Init(theColor&)
  eventsOn_ = True
  isCancelled_ = True
  
  props_.sectionColor = theColor
  props_.cGrid = 1000 * -0.35
  props_.cHeading = 1000 * 0.2
  props_.cSubHead = 1000 * 0.35
  props_.cZebra = 1000 * 0.8
  
  ltp.BackColor = theColor
  
  Call UpdateFM
End Function

Public Property Get TableProperties() As TablePaintProps
  TableProperties = props_
End Property

Private Function UpdateFM()
  eventsOn_ = False
  bodB.Value = props_.cGrid
  headB.Value = props_.cHeading
  subB.Value = props_.cSubHead
  zerB.Value = props_.cZebra
  
  LS.BackColor = ColorAdjustLuma(props_.sectionColor, props_.cSubHead, True)
  LH.BackColor = ColorAdjustLuma(props_.sectionColor, props_.cHeading, True)
  LZ.BackColor = ColorAdjustLuma(props_.sectionColor, props_.cZebra, True)
  LF.BackColor = ColorAdjustLuma(props_.sectionColor, props_.cGrid, True)
  
  Dim greyCol&
  
  lf1.BackColor = LF.BackColor
  ls1.BackColor = LS.BackColor
  lh1.BackColor = LH.BackColor
  lh2.BackColor = LH.BackColor
     
  greyCol = ColorGetLuma(LZ.BackColor)
  l2.BackColor = IIf(greyCol < 127, RGB(255, 255, 255), RGB(0, 0, 0))
  l4.BackColor = IIf(greyCol < 127, RGB(255, 255, 255), RGB(0, 0, 0))
  l6.BackColor = IIf(greyCol < 127, RGB(255, 255, 255), RGB(0, 0, 0))
  l8.BackColor = IIf(greyCol < 127, RGB(255, 255, 255), RGB(0, 0, 0))
  
  l2.BackColor = LZ.BackColor
  l4.BackColor = LZ.BackColor
  l6.BackColor = LZ.BackColor
  l8.BackColor = LZ.BackColor
  
  greyCol = ColorGetLuma(LH.BackColor)
  lh1.ForeColor = IIf(greyCol < 127, RGB(255, 255, 255), RGB(0, 0, 0))
  lh2.ForeColor = IIf(greyCol < 127, RGB(255, 255, 255), RGB(0, 0, 0))
    
  greyCol = ColorGetLuma(props_.sectionColor)
  ltp.ForeColor = IIf(greyCol < 127, RGB(255, 255, 255), RGB(0, 0, 0))
  
  greyCol = ColorGetLuma(LS.BackColor)
  ls1.ForeColor = IIf(greyCol < 127, RGB(255, 255, 255), RGB(0, 0, 0))
  
  props_.textSpacing = Spin.Value / 10
  
  eventsOn_ = True
End Function

Private Sub bodB_Change()
  If Not eventsOn_ Then _
    Exit Sub
  props_.cGrid = bodB.Value
  Call UpdateFM
End Sub

Private Sub headB_Change()
  If Not eventsOn_ Then _
    Exit Sub
  props_.cHeading = headB.Value
  Call UpdateFM
End Sub

Private Sub okBTN_Click()
  isCancelled_ = False
  Me.Hide
End Sub

Private Sub Spin_Change()
  txtSpc.Value = "0." & Spin.Value
  props_.textSpacing = Spin.Value / 10
End Sub

Private Sub subB_Change()
  If Not eventsOn_ Then _
    Exit Sub
  props_.cSubHead = subB.Value
  Call UpdateFM
End Sub

Private Sub zerB_Change()
  If Not eventsOn_ Then _
    Exit Sub
  props_.cZebra = zerB.Value
  Call UpdateFM
End Sub
